Page MenuHomePhabricator

[clangd] Update docs to mention YCM integration and new LSP features
ClosedPublic

Authored by kadircet on Jan 15 2019, 6:10 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

kadircet created this revision.Jan 15 2019, 6:10 AM
ilya-biryukov added inline comments.Jan 15 2019, 9:24 AM
docs/clangd.rst
125 ↗(On Diff #181774)

Given how little information we actually provide for each option here (it's literally just pointers to the docs), maybe make this a list instead to avoid copy-pasting between those two?
Something like:

You can use Clangd in vim with one of the following plugins:

  • YouCompleteMe, see installation instructions.
  • LanguageClient-neovim, see clangd wiki page for instructions.
129 ↗(On Diff #181774)

I believe this does not mention how to install clangd, though (and libclang-based is still the default, right?) Do we want to mention how to configure it to use clangd here?

kadircet marked an inline comment as done.Jan 16 2019, 2:34 AM
kadircet added inline comments.
docs/clangd.rst
129 ↗(On Diff #181774)

That's actually the reason I haven't submitted this one for review. I am preparing a PR to YCM folks which will hopefully include clangd in installation process

kadircet updated this revision to Diff 188327.Feb 26 2019, 2:57 AM
  • Revert YCM related parts
Herald added a project: Restricted Project. · View Herald TranscriptFeb 26 2019, 2:57 AM
gribozavr accepted this revision.Feb 26 2019, 2:59 AM
This revision is now accepted and ready to land.Feb 26 2019, 2:59 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 26 2019, 3:13 AM